﻿@model  EnergyMission.Domain.Entities.LocationMappingEntity
@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}


@using (Html.BeginForm("CreateEx", "LocationMappings", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)



    <div class="bottom delete locationBottom">
        <div class="left">
           
                <label class="name">Location Name*</label>
            <div class="select-btn3">
                @Html.TextBoxFor(model => model.Locationname)
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.Locationname, "", new { @class = "error-message eql_height" })
                </div>
            </div>
                <div class="clearfix"></div>
                <label class="name">Country*</label>
                <div class="select-btn3">
                    @Html.DropDownListFor(model => model.CountryId, cs.Countriess,"Select Country", new { @class = "my-dropdown" })
                    <div class="error-msg">
                        @Html.ValidationMessageFor(m => m.CountryId, "", new { @class = "error-message eql_height" })
                    </div>
                </div>
                <div class="clearfix"></div>
                <label class="name">State*</label>
                <div class="select-btn3">
                    @Html.DropDownListFor(model => model.StateId, cs.States, "Select State", new { @class = "my-dropdown" })
                    @*<span class="wrong-selection"><i class="fa fa-times"></i></span>*@
                    <div class="error-msg">
                        @Html.ValidationMessageFor(m => m.StateId, "", new { @class = "error-message eql_height" })
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        <div class="right locationRight">
            <label class="name">Postcode**</label>
            <div class="select-btn3">
                @Html.DropDownListFor(model => model.PostCodeId, cs.Postcodes, "Select Postcode", new { @class = "my-dropdown" })
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.PostCodeId, "", new { @class = "error-message eql_height" })
                </div>
            </div>
            <div class="clearfix"></div>
            <label class="name">Suburb*</label>
            <div class="select-btn3">
                @Html.DropDownListFor(model => model.SuburbId, cs.Suburbs, "Select Suburbs", new { @class = "my-dropdown" })
                @*<span class="wrong-selection"><i class="fa fa-times"></i></span>*@
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.SuburbId, "", new { @class = "error-message eql_height" })
                </div>
               
            </div>
        </div>
    </div>
    <div class="bottom delete LocationMappings">
        <div class="fullWidth">
            <input class="save button" name="button" type="submit" value="Save Location" />
            <input class="done button restore" name="button" onclick="cancelall()" type="button" value="Cancel" />
            <input class="done button" id="GoToLocatiomapping" name="button" type="button" value="Done" />
        </div>
    </div>
}








